- Home
- API Enriched
- Shape
- shape
- Update Domains.
Update Domains.
POST
/api/shape/csd/namespaces/{namespace}/update_domains
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/update_domains';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"add_to_allowed_domains":{"domains":["example"]},"add_to_mitigated_domains":{"domains":["example"]},"namespace":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/update_domains \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "add_to_allowed_domains": { "domains": [ "example" ] }, "add_to_mitigated_domains": { "domains": [ "example" ] }, "namespace": "example" }'Update domain from mitigated domains to allowed domains and vice versa.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”namespace
required
string
Namespace Namespace.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
UpdateDomainsRequest
Request to update domain.
object
add_to_allowed_domains
object
domains
Domains
Domains are added to allowed list.
Array<string>
add_to_mitigated_domains
object
domains
Domains
Domains are added to mitigated list.
Array<string>
namespace
namespace
Namespace
string
Examplegenerated
{ "add_to_allowed_domains": { "domains": [ "example" ] }, "add_to_mitigated_domains": { "domains": [ "example" ] }, "namespace": "example"}Responses
Section titled “Responses”A successful response.
Media typeapplication/json
UpdateDomainsResponse
Response to update domain.
object
Examplegenerated
{}Returned when operation is not authorized.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when there is no permission to access resource.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when resource is not found.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server encountered an error in processing API.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when service is unavailable temporarily.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server timed out processing request.
Media typeapplication/json
string format: string
Examplegenerated
example